Skip to main content
POST
Mint SFT

Authorizations

X-API-KEY
string
header
required

Obtained in the Crossmint developer console

Headers

x-idempotency-key
string

Unique identifier to prevent duplicate requests

Path Parameters

collectionId
string
required

This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.

The create-collection API will result in collections with UUID formatted collectionId. Example: 9c82ef99-617f-497d-9abb-fd355291681b

The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request. Example: your-custom-identifier

Body

application/json
templateId
string
required

Identifier of the template

Example:

"silver-pass"

recipient
string
required

Allowed formats:

<chain>:<address> or

email:<email_address>:<chain> or

userId:<userId>:<chain> or

twitter:<twitter_handle>:<chain>

see here for more info

Example:

"email:testy@crossmint.com:polygon"

sendNotification
boolean

Notify recipient via email notification about successful mint [Default: true]. For legacy projects created before Sep 16, 2024, this is set to false by default.

locale
string

Specify the locale for the email content [Default: en-US]

Example:

"en-US"

amount
integer

(Optional) Amount to mint

Example:

10

Response

Success

actionId
string
Example:

"a91c15e3-60f2-4a45-bf1a-cee508981667"

action
string
Example:

"nfts.create"

status
string
Example:

"pending"

data
object
startedAt
string
Example:

"2024-01-02T22:05:01.000Z"

resource
string
Example:

"https://staging.crossmint.com/api/2022-06-09/actions/a91c15e3-60f2-4a45-bf1a-cee508981667"